![Platform](https://img.shields.io/badge/Platform-Linux%20%7C%20macOS%20%7C%20Windows-informational)
[![Python](https://img.shields.io/badge/Python-3.11%20%7C%203.12%20%7C%203.13-informational)](https://www.python.org/)
[![Qiskit](https://img.shields.io/badge/Qiskit-%E2%89%A5%201.0.0-6133BD)](https://github.com/Qiskit/qiskit)
[![License](https://img.shields.io/github/license/qiskit-community/quantum-prototype-template?label=License)](https://github.com/qiskit-community/quantum-prototype-template/blob/main/LICENSE.txt)
[![Code style: Black](https://img.shields.io/badge/Code%20style-Black-000.svg)](https://github.com/psf/black)
[![Tests](https://github.com/qiskit-community/quantum-prototype-template/actions/workflows/test_latest_versions.yml/badge.svg)](https://github.com/qiskit-community/quantum-prototype-template/actions/workflows/test_latest_versions.yml)
[![Coverage](https://coveralls.io/repos/github/qiskit-community/quantum-prototype-template/badge.svg?branch=main)](https://coveralls.io/github/qiskit-community/quantum-prototype-template?branch=main)

# Qiskit Pasqal Provider

This project contains the appropriate abstraction to program [Pasqal](https://pasqal.com)'s analog neutral atom QPUs from Qiskit.

We encourage the user to check out specialized resources, such as the [Pulser Documentation](https://docs.pasqal.com/pulser/), to discover how to best take program analog neutral atom QPUs.

To target Pasqal's QPUs or cloud based emulators, sign up for [Pasqal cloud](https://www.pasqal.com/solutions/cloud/).


### Table of Contents

##### For Users

1.  [Installation](INSTALL.md)
1.  [Quickstart Guide](docs/quickstart_guide.md)
2.  [Tutorials](docs/tutorials/introduction_to_qpp.ipynb)
3.  [How to Give Feedback](#how-to-give-feedback)
4.  [Contribution Guidelines](#contribution-guidelines)
5.  [References and Acknowledgements](#references-and-acknowledgements)
6.  [License](#license)

##### For Developers/Contributors

1. [Contribution Guide](CONTRIBUTING.md)
2. [Technical Docs](docs/technical_docs.md)


----------------------------------------------------------------------------------------------------

### How to Give Feedback

We encourage your feedback! You can share your thoughts with us by:
- [Opening an issue](https://github.com/qiskit-community/qiskit-pasqal-provider/issues) in the repository


----------------------------------------------------------------------------------------------------

### Contribution Guidelines

For information on how to contribute to this project, please take a look at our [contribution guidelines](CONTRIBUTING.md).


----------------------------------------------------------------------------------------------------

## References and Acknowledgements
[Pasqal cloud](https://www.pasqal.com/solutions/cloud/)

[Pulser documentation](https://docs.pasqal.com/pulser/)

[Qiskit](https://github.com/qiskit/qiskit)


----------------------------------------------------------------------------------------------------

### License
[Apache License 2.0](LICENSE.txt)
